import request from '@/utils/request'

// 获取计算资源菜单
export function computilityMenu (query) {
  return request({
    url: '/api/v1/computilityMenu',
    method: 'get',
    params: query
  })
}

// 获取计算资源菜单
export function categoryMenuNew (query) {
  return request({
    url: '/product/category/list-computility',
    method: 'get',
    params: query
  })
}


// 根据应用类别返回对应计算机资源列表
export function getRListByCategory (query) {
  return request({
    url: '/product/sku/page',
    method: 'get',
    params: query
  })
}


// 计算资源详情
export function getRDetail (query) {
  return request({
    url: '/product/sku/get-detail',
    method: 'get',
    params: query
  })
}

// 计算资源计算价格
export function orderComputer (query) {
  return request({
    url: '/api/v1/orderComputer',
    method: 'post',
    data: query
  })
}

// 计算资源确认订单
export function orderBuy (query) {
  return request({
    url: '/api/v1/orderBuy',
    method: 'post',
    data: query
  })
}

export function createOrderSubmit(query){
  return request({
    url: '/trade/order/create',
    method: 'post',
    data: query
  })
}

export function createPay(query){
  return request({
    url: '/pay/order/submit',
    method: 'post',
    data: query
  })
}

// export async function getOrder(id, sync){
//   return await request({
//     url: '/pay/order/get',
//     method: 'get',
//     params: {
//       id,
//       sync
//     }
//   })
// }

export function bizOrderSubmit(query){
  return request({
    url: '/api/v1/bizOrderSubmit',
    method: 'post',
    data: query
  })
}
// 确认订单回显数据
export function confirmOrderInfo (query) {
  return request({
    url: '/api/v1/' + query.id,
    method: 'get'
  })
}


// 计算资源提交订单
export function orderSubmit (query) {
  return request({
    url: '/api/v1/orderSubmit',
    method: 'post',
    data: query
  })
}


// 计算资源加购物车
export function shoppingAdd (query) {
  return request({
    url: '/api/v1/shoppingAdd',
    method: 'post',
    data: query
  })
}

// 计算资源购物车列表
export function shoppingList (query) {
  return request({
    url: '/api/v1/list',
    method: 'get'
  })
}

// 计算资源购物车修改数量
export function shoppingEdit (query) {
  return request({
    url: '/api/v1/shoppingEdit',
    method: 'put',
    data: query
  })
}

// 计算资源购物车计算金额接口
export function shoppingComputerVo (ids) {
  return request({
    url: `/api/v1/shoppingComputerVo/${ids}`,
    method: 'get'
  })
}

// 计算资源购物车删除接口
export function shoppingDelete (ids) {
  return request({
    url: `/api/v1/${ids}`,
    method: 'delete'
  })
}

// 计算资源购物车提交接口
export function shoppingSubmit (ids) {
  return request({
    url: `/api/v1/shoppingComputer/${ids}`,
    method: 'get'
  })
}

